#!/bin/sh
# A basic script to help with the install
# of NetSQUID
# And copying over old config file settings.
# (c) 2004 Mike Sconzo
clear
install_path="/usr/local"
tmp="/tmp"

rm $tmp/netsquid.config.temp &>/dev/null

echo "You are about to install the newest version of NetSQUID"
echo "If this sounds like a good idea press the [Enter] key"
echo "If you don't like this idea press [Ctrl][C]"
read continue

if [ ! -d /var/log/netsquid ]; then
  echo "The logging directory /var/log/netsquid doesn't exist"
  echo "Would you like to create it, and it's subdirectories now?"
  echo "y/n"
  read continue
  if [ "$continue" = "y" ]; then
    mkdir /var/log/netsquid
    mkdir /var/log/netsquid/hosts
    mkdir /var/log/netsquid/history
  fi
fi

if [ ! -r /etc/rc.d/init.d/netsquid -o ! -r /etc/rc.d/rc.netsquid ]; then
  if [ -d /etc/rc.d/init.d/ ]; then
    echo ""
    echo "Copying startup file to /etc/rc.d/init.d/netsquid"
    echo "You may need to make additional changes to get this"
    echo "to start on boot"
    cp ./rc.netsquid /etc/rc.d/init.d/netsquid &>/dev/null
    chmod 755 /etc/rc.d/init.d/netsquid &>/dev/null
    echo ""
  elif [ -d /etc/rc.d/ ]; then
    echo ""
    echo "Copying startup file to /etc/rc.d/rc.netsquid"
    echo "You may need to make additional changes to get this"
    echo "to start on boot"
    cp ./rc.netsquid /etc/rc.d/rc.netsquid &>/dev/null
    chmod 755 /etc/rc.d/rc.netsquid &>/dev/null
    echo ""
  fi
fi

if [ -r ./netsquid ]; then
  echo "Copying NetSQUID file"
  cp ./netsquid $install_path/sbin/netsquid &>/dev/null
  chmod 755 $intall_path/sbin/netsquid &>/dev/null
fi

if [ -r ./netsquid.config ]; then
  echo "Type the path of your existing mbd.config of netsquid.config file"
  echo "If this is a first time install, then just leave the line blank"
  echo "It doesn't merge comments, so if you want the comments in the "
  echo "config file you'll have to do it by hand"
  read config
  echo $config
  if [ "$config" != "" ]; then
    echo "Merging old config file with new config file"
    echo "The new config file will look like the following:"
    echo ""
    echo "#config generated on `date`" > $tmp/netsquid.config.temp
    for item in `cat ./netsquid.config | grep -v ^# | grep -v ^$ | cut -d = -f1 | sed 's/ //g' | sed 's/\n//g'`
     do
      old=`grep ^$item\ \\\{0\\\}= $config | grep -v ^# | grep -v ^$ | sed 's/\n//g'`
      if [ "$old" != "" ]; then
        echo "old: $old"
        echo $old >> $tmp/netsquid.config.temp
      else
      new=`grep ^$item\ \\\{0\\\}= ./netsquid.config | grep -v ^# | grep -v ^$ | sed 's/\n//g'`
        echo "new: $new"
        echo $new >> $tmp/netsquid.config.temp
      fi
     done
    echo ""
    echo "Press [Enter] to copy the new config"
    echo "or [Ctrl][C] to copy it yourself from $tmp/netsquid.config.temp"
    read continue
    cp $tmp/netsquid.config.temp $install_path/etc/netsquid.config &>/dev/null
  else
    echo "Installing new file into $install_path/etc/netsquid.config"
    echo "Make sure to edit this file to reflect the desired behavior"
    cp ./netsquid.config $intall_path/etc/netsquid.config &>/dev/null
  fi
fi
exit
